> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /nuget/packages

> Get NuGet package details by package id or NuGet package URL

**Price:** 10 credits

**⚠️ Common errors:** 412: Package not found



## OpenAPI

````yaml /openapi/package-registries.json post /api/nuget/packages
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/nuget/packages:
    post:
      tags:
        - /nuget
      summary: /nuget/packages
      description: |-
        Get NuGet package details by package id or NuGet package URL

        **Price:** 10 credits

        **⚠️ Common errors:** 412: Package not found
      operationId: __api_nuget_packages_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NuGetPackagePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NuGetPackage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NuGetPackagePayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        package:
          type: string
          minLength: 1
        version:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - package
    NuGetPackage:
      properties:
        '@type':
          type: string
          default: NuGetPackage
        id:
          type: string
        version:
          type: string
          default: ''
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        authors:
          items:
            type: string
          type: array
          default: []
        owners:
          items:
            type: string
          type: array
          default: []
        tags:
          items:
            type: string
          type: array
          default: []
        download_count:
          type: integer
          default: 0
        is_verified:
          type: boolean
          default: false
        license:
          anyOf:
            - type: string
            - type: 'null'
        license_url:
          anyOf:
            - type: string
            - type: 'null'
        project_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        copyright:
          anyOf:
            - type: string
            - type: 'null'
        repository:
          anyOf:
            - $ref: '#/components/schemas/NuGetRepository'
            - type: 'null'
        package_types:
          items:
            type: string
          type: array
          default: []
        min_client_version:
          anyOf:
            - type: string
            - type: 'null'
        requires_license_acceptance:
          type: boolean
          default: false
        package_hash:
          anyOf:
            - type: string
            - type: 'null'
        package_hash_algorithm:
          anyOf:
            - type: string
            - type: 'null'
        package_size:
          type: integer
          default: 0
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        is_listed:
          type: boolean
          default: true
        is_prerelease:
          type: boolean
          default: false
        version_count:
          type: integer
          default: 0
        dependency_groups:
          items:
            $ref: '#/components/schemas/NuGetDependencyGroup'
          type: array
          default: []
        deprecation:
          anyOf:
            - $ref: '#/components/schemas/NuGetDeprecation'
            - type: 'null'
        versions:
          items:
            $ref: '#/components/schemas/NuGetPackageVersion'
          type: array
          default: []
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NuGetRepository:
      properties:
        '@type':
          type: string
          default: NuGetRepository
        repository_type:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        branch:
          anyOf:
            - type: string
            - type: 'null'
        commit:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NuGetDependencyGroup:
      properties:
        '@type':
          type: string
          default: NuGetDependencyGroup
        target_framework:
          anyOf:
            - type: string
            - type: 'null'
        dependencies:
          items:
            $ref: '#/components/schemas/NuGetDependency'
          type: array
          default: []
      type: object
    NuGetDeprecation:
      properties:
        '@type':
          type: string
          default: NuGetDeprecation
        message:
          anyOf:
            - type: string
            - type: 'null'
        reasons:
          items:
            type: string
          type: array
          default: []
        alternate_package_id:
          anyOf:
            - type: string
            - type: 'null'
        alternate_package_range:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NuGetPackageVersion:
      properties:
        '@type':
          type: string
          default: NuGetPackageVersion
        version:
          type: string
        download_count:
          type: integer
          default: 0
        is_listed:
          type: boolean
          default: true
        is_prerelease:
          type: boolean
          default: false
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        deprecation:
          anyOf:
            - $ref: '#/components/schemas/NuGetDeprecation'
            - type: 'null'
      type: object
      required:
        - version
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    NuGetDependency:
      properties:
        '@type':
          type: string
          default: NuGetDependency
        id:
          type: string
        range:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````